# osgDB/Registry File Reference

`#include <osg/ref_ptr>`
`#include <osg/ArgumentParser>`
`#include <osgDB/DynamicLibrary>`
`#include <osgDB/ReaderWriter>`
`#include <osgDB/DotOsgWrapper>`
`#include <osgDB/DatabasePager>`
`#include <vector>`
`#include <map>`
`#include <string>`

Include dependency graph for osgDB/Registry:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgDB

## Defines

#define | OSGDB_REGISTRY 1

## Functions

void | readCommandLine (osg::ArgumentParser &parser)
| read the command line arguments.

## Define Documentation

#define OSGDB_REGISTRY 1

## Function Documentation

void Registry::readCommandLine | ( | osg::ArgumentParser & | arguments | ) | `[inline]`

| read the command line arguments.